Bug 1721026 - compiz needs a rebuild because of new marco-1.22.2 soname bump [NEEDINFO]
Summary: compiz needs a rebuild because of new marco-1.22.2 soname bump
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-17 07:34 UTC by Wolfgang Ulbrich
Modified: 2019-06-26 04:11 UTC (History)
3 users (show)

Fixed In Version: compiz-0.8.16.1-3.fc30 compiz-0.8.16.1-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-26 04:06:52 UTC
Type: Bug
fedora: needinfo? (jskarvad)


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2019-06-17 07:34:53 UTC
Description of problem:


New marco-1.22.2 supports now invible-borders and has an API break.
In result mate upstream bump soname version of marco to handle this.
There are commits at compiz-reloaded upstream master which fixes
- bulding against new marco
- starting gtk-decorator without crashing compiz

https://gitlab.com/compiz/compiz-core/commits/master

Because of a cycle dependency to libcompizconfig we need to rebuild compiz in 2 steps:
1. building with --disable-marco to get rid of dependency pain in repos because of soname bump of marco.
2. final build of compiz with upstream commits.

After all new build of compiz for f30/f29 can be added to existing bodhi requests of marco and mate-control-center, to be sure that all builds are pushed together to repos.

https://bodhi.fedoraproject.org/updates/FEDORA-2019-d6f7e0b964
https://bodhi.fedoraproject.org/updates/FEDORA-2019-c8f380b3ef

If you give me commit rights again i can handle this update for my own.
Otherwise i can do pull request.

Comment 1 Fedora Update System 2019-06-17 15:52:44 UTC
FEDORA-2019-d6f7e0b964 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d6f7e0b964

Comment 2 Fedora Update System 2019-06-17 15:54:12 UTC
FEDORA-2019-c8f380b3ef has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c8f380b3ef

Comment 3 Fedora Update System 2019-06-17 18:17:24 UTC
compiz-0.8.16.1-3.fc30, marco-1.22.2-1.fc30, mate-control-center-1.22.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c8f380b3ef

Comment 4 Fedora Update System 2019-06-17 18:28:44 UTC
FEDORA-2019-c8f380b3ef has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c8f380b3ef

Comment 5 Fedora Update System 2019-06-17 20:12:04 UTC
compiz-0.8.16.1-3.fc29, marco-1.22.2-1.fc29, mate-control-center-1.22.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d6f7e0b964

Comment 6 Fedora Update System 2019-06-17 20:19:45 UTC
FEDORA-2019-d6f7e0b964 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d6f7e0b964

Comment 7 Fedora Update System 2019-06-18 01:38:09 UTC
compiz-0.8.16.1-3.fc30, marco-1.22.2-1.fc30, mate-control-center-1.22.1-2.fc30, mate-themes-3.22.20-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c8f380b3ef

Comment 8 Fedora Update System 2019-06-18 02:16:48 UTC
compiz-0.8.16.1-3.fc29, marco-1.22.2-1.fc29, mate-control-center-1.22.1-2.fc29, mate-themes-3.22.20-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d6f7e0b964

Comment 9 Fedora Update System 2019-06-26 04:06:52 UTC
compiz-0.8.16.1-3.fc30, marco-1.22.2-1.fc30, mate-control-center-1.22.1-2.fc30, mate-themes-3.22.20-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-06-26 04:11:02 UTC
compiz-0.8.16.1-3.fc29, marco-1.22.2-1.fc29, mate-control-center-1.22.1-2.fc29, mate-themes-3.22.20-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.